> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve All Events

List all available events. Note that events are generated on-demand and only listed and available programmatically if a relevant webhook subscription exists. By default, up to 30 days of events are available via this route. If you need additional historic event records, please contact us at [support@onecodex.com](mailto:support@onecodex.com).


## OpenAPI

````yaml GET /api/v1/events
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/events:
    get:
      summary: GET events instances
      operationId: get_events_instances
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            format: int32
          description: Page number. Defaults to 1. See Pagination for more details.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 50
            format: int32
          description: >-
            Number of requested paginated records. Defaults to 50. See
            Pagination for more details.
        - name: sort
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON sort clause, e.g., `sort={"created_at":
            true}` to sort by created_at (descending)
        - name: where
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON filter clause, e.g., `where={"$uri":
            {"$eq": "/api/v1/samples/0ee172af60e84f61"}}`
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/events'
components:
  schemas:
    events:
      type: object
      properties:
        $uri:
          type: string
          pattern: ^/api/v1/events\/[^/]+$
          example: /api/v1/events/a1b2c3d4e5f67890
        payload:
          type: object
          default: {}
          description: The webhook payload.
        status:
          type: string
          enum:
            - retryable
            - success
            - failed
            - pending
          description: The status of the webhook for the event.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````